config/routes.rb
Rails.application.routes.draw do
  resources :collaborations
  mount RailsAdmin::Engine => '/admin', as: 'rails_admin'
  # resources :assignment_submissions
  resources :group_members ,only: [:create,:destroy]
  resources :groups do
    resources :assignments
  end

  scope '/groups' do
    get '/:id/assignments/WYSIWYG/index.css', to: redirect('/index.css')
    get '/:id/assignments/WYSIWYG/bootstrap-wysiwyg.js', to: redirect('/bootstrap-wysiwyg.js')
    get '/:id/assignments/:id/WYSIWYG/index.css', to: redirect('/index.css')      # in case of editing
    get '/:id/assignments/:id/WYSIWYG/bootstrap-wysiwyg.js', to: redirect('/bootstrap-wysiwyg.js')   # in case of editing
    get '/:group_id/assignments/:id/reopen', to: 'assignments#reopen', as: 'reopen_group_assignment'
    get '/:group_id/assignments/:id/start', to: 'assignments#start', as: 'assignment_start'
  end
  resources :stars , only: [:create, :destroy]


  devise_for :users, controllers: {registrations: 'users/registrations', :omniauth_callbacks => "users/omniauth_callbacks"}


  #Logix web pages resources
  root 'logix#index'
  get  '/gettingStarted', to:'logix#gettingStarted'
  get  '/examples', to:'logix#examples'
  get  '/features', to:'logix#features'
  get  '/about', to:'logix#about'
  get  '/privacy', to:'logix#privacy'
  get  '/tos', to:'logix#tos'
  get  '/search', to:'logix#search'
  get  '/teachers', to:'logix#teachers'
  get  '/contribute', to:'logix#contribute'

  #users
  scope '/users' do
    get '/', to: 'welcome#all_user_index', as: 'all_users'
    get '/:id/profile', to: 'users/logix#profile', as: 'profile'
    get '/:id/profile/edit', to: 'users/logix#edit', as: 'profile_edit'
    patch '/:id/update', to: 'users/logix#update', as: 'profile_update'
    get '/:id/groups', to: 'users/logix#groups', as: 'user_groups'
    get '/:id/', to: 'users/logix#index', as: 'user_projects'
    get '/:id/favourites', to: 'users/logix#favourites', as: 'user_favourites'
    get '/:id/projects/:id/WYSIWYG/index.css', to: redirect('/index.css')
    get '/:id/projects/:id/WYSIWYG/bootstrap-wysiwyg.js', to: redirect('/bootstrap-wysiwyg.js')
  end


  #projects
  get 'projects/create_fork/:id', to: 'projects#create_fork',as: 'create_fork_project'
  get 'projects/change_stars/:id', to: 'projects#change_stars', as: 'change_stars'

  mount Commontator::Engine => '/commontator'

  #simulator
  scope '/simulator' do
    get '/:id', to: 'simulator#show', as: 'simulator'
    get '/edit/:id', to: 'simulator#edit', as: 'simulator_edit'
    post '/get_data', to: 'simulator#get_data'
    post '/update_data', to: 'simulator#update'
    post '/update_image', to: 'simulator#update_image'
    post '/create_data', to: 'simulator#create'
    get '/', to: 'simulator#new', as: 'simulator_new'
    get '/embed/:id', to: 'simulator#embed', as: 'simulator_embed'
  end
  # get 'simulator/embed_cross/:id', to: 'simulator#embed_cross', as: 'simulator_embed_cross'


  resources :users do
    resources :projects, only: [:show, :edit, :update, :new, :create, :destroy]
  end




  # get 'comments/create_reply/:id', to: 'comments#create_reply', as: 'reply_comment'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/controllers/logix_controller.rb
class LogixController < ApplicationController
  # before_action :authenticate_user!

  def index
      @projects = Project.select("id,author_id,image_preview,name").where(project_access_type:"Public",forked_project_id:nil).paginate(:page => params[:page]).order("id desc").limit(Project.per_page)

      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @projects }
        format.js
      end

  end

  def gettingStarted
  end

  def examples
  end

  def features
  end

  def about
  end

  def all_user_index
  end

  def privacy
  end

  def tos
  end

  def teachers
  end

  def contribute
  end

end

app/controllers/users/logix_controller.rb
class Users::LogixController < ApplicationController
  before_action :authenticate_user! ,only: [:edit, :update, :groups]
  def index
    @user = User.find(params[:id])
    @edit_access = (user_signed_in? and current_user.id == @user.id)
  end
  def favourites
    @user = User.find(params[:id])
    @projects = @user.rated_projects
  end
  def profile
    @profile = User.find(params[:id])
  end
  def edit
    @profile = current_user
  end
  def update
    @profile = current_user
    @profile.name = params["profile"]["name"]
    if params["profile"]["profile_picture"]!=nil
      @profile.profile_picture = params["profile"]["profile_picture"]
    end
    @profile.save
    redirect_to profile_path(current_user)
  end
  def groups
  end
end

app/views/logix/about.html.erb
<% content_for :title, "CircuitVerse - About us" %>
    <!-- Main jumbotron for a primary marketing message or call to action -->

    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8">
                    <h1 class="display-3 ">CircuitVerse - About</h1>

                    <p>CircuitVerse is a product developed by students at IIIT-Bangalore. It aims to provide a platform where circuits can be designed and simulated using a graphical user interface.
                      While users can design complete CPU implementations within the simulator, the software is designed primarily for educational use.
                      CircuitVerse is an opensource project with an active community. Checkout the contribute page for more detail.
                    </p>
                    <!--<p class="text-info">CircuitVerse.org is a non-profit organisation currently supported by IIIT-Bangalore</p>-->
                    <!-- <p><a class="btn btn-dark btn-lg" href="#" role="button">Launch Simulator &raquo;</a></p> -->
                     <p><a class="" href="/tos" role="button">Terms Of Service</a> |
                     <a class="" href="/privacy" role="button">Privacy Policy</a></p>
                      <p>
                        Contact us @
                        <a href="mailto:support@circuitverse.org" target="_top">support@circuitverse.org</a>
                      </p>
                </div>
                <div class="col">
                    <img src="img/logixBanner.png" class="img-fluid img-thumbnail" alt="Responsive image">
                </div>


            </div>
        </div>


    </div>
    <div class="container">
        <div class="row feature">

            <div class="col-6">
              <h3 class="card-title">Developer Team</h3>
                 <h4>Core Team</h3>
                 <ul>
                     <li><a href="https://satu0king.github.io" target="_blank">Satvik Ramaprasad (Product Manager)</a> </li>
                     <li>Biswesh Mohapatra (Lead Developer) </li>
                     <li>Aditya Hegde (SEO and Infrastructure Manager) </li>

                 </ul>
                 <h4>Extended Team</h3>
                 <ul>
                     <li><a href="https://www.linkedin.com/in/vibhavagarwal5/" target="_blank">Vibhav Agarwal (Module Developer) </li>
                     <li>Abhishek Krishna (UI Designer and consultant) </li>
                     <li>Aniruddha Mysore (UI Designer and consultant) </li>
                     <li>Shreyas Gupta (Logo Designer) </li>
                 </ul>
            </div>
           <div class="col-6">

             <h4>Mentors</h3>
               <ul>
                 <li>Prof. Subhajit Sen (Domain Expert) </li>
                 <li>Ramesh Sundararaman (Brand Advisor)</li>
                 <li>Vikas Yadav (Technical Advisor) </li>
                 <li>Gaurav Koley (Technical Advisor)</li>
               </ul>
               <!--<img src="img/logix.png" class="img-fluid img-thumbnail" alt="Responsive image">-->
           </div>
        </div>
        <br />
        <br />



    </div>

app/views/logix/all_user_index.html.erb
<h1>Users</h1>

<table>
  <thead>
    <tr>
      <th>Name</th>
      <th>Age</th>
      <th>email</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% User.all.each do |user| %>
      <tr>
        <td><%= link_to user.name, user_profile_index_path(user) %></td>
        <td><%= user.age %></td>
        <td><%= user.email %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

app/views/logix/contribute.html.erb
<% content_for :title, "CircuitVerse - Support the platform" %>
    <!-- Main jumbotron for a primary marketing message or call to action -->

    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8">
                    <h1 class="display-3 ">Support CircuitVerse</h1>

                    <p>CircuitVerse aims to be free for ever and we promise that we will not run ads! The project is open source and to ensure
                      its continued development and maintenance we need your support. You can show us your support the following ways.
                    </p>

                      <p>
                        Contact us @
                        <a href="mailto:support@circuitverse.org" target="_top">support@circuitverse.org</a>
                      </p>
                </div>
                <div class="col">
                    <img src="img/logixBanner.png" class="img-fluid img-thumbnail" alt="Responsive image">
                </div>


            </div>
        </div>


    </div>
    <div class="container">
        <div class="row feature">

            <div class="col-6">
              <h3 class="card-title">If you are a fan you can</h3>
                 <ul>
                     <li> Create amazing circuits and share on the platform</li>
                     <li> Find and report bugs. Become a bug hunter</li>
                     <li> Introduce the platform to your buddies</li>

                 </ul>
                 <h4>If you are a developer you can</h4>
                 <ul>
                     <li>Contribute to the open source project</li>
                     <li>Add new features and fix bugs</li>
                 </ul>
                 <h4>If you are an company/organization you can</h4>
                 <ul>
                     <li>Become a CircuitVerse Partner (see Patreon)</li>
                     <li>Contact support for more details</li>
                 </ul>
            </div>
           <div class="col-6">

             <h4>If you are a teacher you can</h4>
               <ul>
                 <li> Introduce the platform to your students</li>
                 <li> Promote the platform within your circles</li>
                 <li> Create exciting educational content using CircuitVerse </li>
               </ul>
             <h4>If you have money to spare you can</h4>
               <ul>
                 <li> Become a patreon (recurring pledge)</li>
                 <li> Donate via PayPal (one time)</li>
               </ul>
               <!--<img src="img/logix.png" class="img-fluid img-thumbnail" alt="Responsive image">-->
           </div>
        </div>
      <br />
        <div class="row center feature">
          <div class="col-4 text-center">
            <a href="https://www.patreon.com/CircuitVerse" target="_blank"><img class="img-fluid " src="/img/patreon-logo.jpg" />Become a Patreon</a>
          </div>

          <div class="col-4 text-center">
            <a href="https://www.paypal.me/satviksr" target="_blank"><img class="img-fluid " src="/img/paypal-logo.png" />Donate through PayPal</a>
          </div>
          <div class="col-4 text-center">
            <a href="https://github.com/CircuitVerse" target="_blank"><img class="img-fluid " src="/img/github-logo.png" />Contribute to open source</a>
          </div>

        </div>
        <br />
        <br />



    </div>

app/views/logix/examples.html.erb
<% content_for :title, "CircuitVerse - Examples" %>
    <!-- Main jumbotron for a primary marketing message or call to action -->

    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-9">
                    <h1 class="display-3 ">Example Projects</h1>
                    <p>Check out these cool examples to learn how CircuitVerse works.</p>
                </div>

            </div>
        </div>


    </div>
    <div class="container">
        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">Full Adder from 2-Half Adders</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank" href="https://circuitverse.org/users/3/projects/247" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/fullAdder.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">16 Bit ripple carry adder</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank" href="https://circuitverse.org/users/3/projects/248" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/RippleCarry.jpeg" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">Asynchronous Counter</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank" href="https://circuitverse.org/users/3/projects/249" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/AsyncCounter.jpeg" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">Keyboard</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank"  href="https://circuitverse.org/users/3/projects/250" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/Keyboard.jpeg" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">FlipFlop</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank"  href="https://circuitverse.org/users/3/projects/251" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/FlipFlop.jpeg" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />

        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">ALU 74LS181 by Ananth Shreekumar</h4>
                     <p class="card-text"></p>
                          <a class="btn btn-dark btn-lg" target="_blank" href="https://circuitverse.org/users/126/projects/252" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/ALU.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />

        <div class="row feature">
                 <div class="col-12 col-md-8">
                     <h3 class="card-title">SAP-1</h4>
                     <p class="card-text">SAP-1 short for simple as possible computer is a 8 Bit computer. It can perform simple operations like Addition and Subtraction.</p>
                          <a class="btn btn-dark btn-lg" target="_blank"  href="https://circuitverse.org/users/3/projects/67" role="button">View Example &raquo;</a>
                 </div>
                 <div class="col">
                     <img src="img/SAP.jpeg" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />




    </div>

app/views/logix/features.html.erb
<% content_for :title, "CircuitVerse - Features" %>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-12 col-md-8">
                    <h1 class="display-3 ">CircuitVerse Features</h1>
                    <br />
                    <p>Design circuits quickly and easily with a modern and intuitive user interface with drag-and-drop, copy/paste, zoom and more. The main features have been listed below.</p>
                    <!-- <p><a class="btn btn-dark btn-lg" href="#" role="button">Launch Simulator &raquo;</a></p> -->
                </div>
                <div class="col">
                    <img src="img/logixBanner.png" class="img-fluid img-thumbnail" alt="Responsive image">
                </div>
            </div>
        </div>


    </div>
    <div class="container">
        <div class="row feature">
                 <div class="col-12 col-md-9">
                     <h4 class="card-title">Multi Bit Buses and components</h4>
                     <p class="card-text">CircuitVerse supports multi bit wires, this means circuit design is easier,
                          faster and uncluttered. To change the bitWidth of the circuit elements, Just select the circuit element and change the bitwidth value in the property menu.</p>
                 </div>
                 <div class="col ">
                     <img src="img/bus.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Sub circuits</h4>
                     <p class="card-text">Create subcircuits once and use them repeatedly. This allows easier and more structured design. Future versions will allow importing of subcircuits from external sources. To use a subcircuit, simply create and design the subcircuit as a normal circuit and Label inputs and outputs. Then after that create another circuit within the same project and click circuit -> insert subcircuit and select the subcircuit.</p>
                 </div>
                 <div class="col-12 col-md-2">
                     <img src="img/halfAdder.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
                 <div class="col-12 col-md-4">
                     <img src="img/fullAdder.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Export High-Resolution Images</h4>
                     <p class="card-text">CircuitVerse can export high resolution images in multiple formats including SVG.</p>
                 </div>
                 <div class="col-12 col-md-8 col-lg-8">
                     <img src="img/Control Sequencer.png" class="img-fluid img-thumbnail" alt="Responsive image">
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Combinational Analysis</h4>
                     <p class="card-text">Automatically generate circuit based on truth table data. This is great to create complex logic circuits and can be easily be made into a subcircuit.</p>
                 </div>
        </div>
        <br />
        <!-- <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Plotting and Debugger</h4>
                     <p class="card-text">This feature is still under development. This will allow the user to set debug flags to see the Time Plot. The Debugger will allow the user to find logical mistakes in the design.</p>
                 </div>
        </div>
        <br /> -->
        <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Embed in Blogs</h4>
                     <p class="card-text">Since CircuitVerse is built in HTML5, an iFrame can be generated for each project allowing the user to embed it almost anywhere.</p>
                 </div>
        </div>
        <br />
        <div class="row feature">
                 <div class="col">
                     <h4 class="card-title">Create groups and give assignments</h4>
                     <p class="card-text">The Group feature is a feature which has been made for academic purposes. A mentor can create a group and invite various members to join it. Later the mentor can create various assignments that can used to evaluate the progress of the group members.  </p>
                     <b>Features of Assignments:</b>
                     <ol>
                       <li>The mentor sets a description or a problem statement for the assignment.</li>
                       <li>Then the mentor sets a deadline after which the assignments of the members get automatically submitted.</li>
                       <li>Members can continue their work with their respective assignments even after the deadline is over but those changes <b>Would Not</b> be reflected in the assignment that has been submitted to the mentor.</li>
                       <li>Mentor can reopen or edit the assignment at any particular time.</li>
                   </ol>
                 </div>
        </div>
        <br />
        <div class="row feature">
          <div class="col">
            <h3 class="card-title">Have a feature in mind? </h3>
              <p class="card-text">
                If you have a feature in mind, we would love to hear it!
              </p>
              <a class="btn btn-dark btn-sm" target="_blank" href="/about" role="button">Contact us &raquo;</a>
          </div>
        </div>
        <br />



    </div>

app/views/logix/index.html.erb
<% content_for :title, "CircuitVerse - Online Digital Logic Circuit Simulator" %>
    <!-- Main jumbotron for a primary marketing message or call to action -->


    <!-- <div class="col">
        <img src="img/logixBanner.png" class="img-fluid img-thumbnail" alt="Responsive image">
    </div> -->
    <div class="jumbotron" style="background-image: url('img/logixBanner2.png')">
        <div class="container">
            <div class="row justify-content-md-center">
                <div class="col-md-auto">
                    <div class="card text-center" style="max-width: 40rem; box-shadow: 0px 0px 40px 8px rgba(0, 0, 0, .6), 0 6px 20px 0 rgba(0, 0, 0, 0.19);">
                        <div class="card-body">
                            <h1 class="card-title display-4" style="font-size: 3em">Explore Digital Logic Circuits with <img src="/img/circuitverse_black.svg" height="45px" alt="Logo"></h1>
                            <p class="card-text">From simple gates to complex sequential circuits, plot timing diagrams, automatic circuit generation, explore standard ICs, and much more – for free!</p>
                            <a class="btn btn-lg btn-secondary" href=<%= simulator_new_path %> role="button">Launch Simulator &raquo;</a>
                        </div>
                    </div>
                </div>
                <!-- <div class="col">
                    <img src="img/logixBanner.png" class="img-fluid img-thumbnail" alt="Responsive image">
                </div> -->
            </div>

        </div>


    </div>



    <div class="container">



        <% if notice %>
            <div class="row">
                <div class="alert alert-success alert-dismissible container-fluid text-center">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <%= notice %>
                </div>
            </div>
        <% end %>


        <div class="row text-center">

            <div class="col-md-4">
                <h2 class="">Features</h2>
                <p>CircuitVerse contains most primary circuit elements from both combinational and sequential circuit design. CircuitVerse allows multi-bit wires(buses) and Subcircuits.</p>
                <p class="text-center"><a class="btn btn-secondary" href="./features" role="button">Read More &raquo;</a></p>
            </div>
            <div class="col-md-4">
                <h2 class="">Open source</h2>
                <p>CircuitVerse is now opensource! The platform will forever be free and will not run ads. The project is now run by the community. We would love your support.</p>
                <p class="text-center"><a class="btn btn-primary" href="./contribute" role="button"> Read More &raquo;</a></p>
            </div>
            <!--<div class="col-md-4">-->
                <!--<h2 class="">Ease of use</h2>-->
                <!--<p>CircuitVerse uses a drag and drop interface. Most users are able to get started immediately. Checkout the interactive online documentation to learn CircuitVerse and Digital Logic Design.</p>-->
                <!--<p><a class="btn btn-secondary" href="https://docs.circuitverse.org" role="button"> Documentation &raquo;</a></p>-->
            <!--</div>-->
            <div class="col-md-4">
                <h2 class="">Teachers</h2>
                <p>CircuitVerse has been designed to be very easy to use in class. Teachers can create groups for their class class and issue tests and assignments. </p>
                <p class="text-center"><a class="btn btn-secondary" href="./teachers" role="button">Read More &raquo;</a></p>
            </div>
            <!--<div class="col-md-4">-->
                <!--<h2 class="">The Idea</h2>-->
                <!--<p>CircuitVerse in its present form is an easy to use digital circuit simulator. The idea is to form a community based learning platform around it. Something very similar to MIT-Scratch. </p>-->
                <!--<p><a class="btn btn-secondary" href="./about.html" role="button">Read More &raquo;</a></p>-->
            <!--</div>-->
        </div>
    </div>
  <br>
  <br>
  <div class="container">
    <% if Rails.env.production? %>
    <h5 class="">Featured Circuits</h5>
    <div class="row">
     <!-- This is temporary, needs to replaced by a proper featured project management system  -->
      <% featured_ids=[247,248,252,67] %>
      <% featured_ids.each do |project_id| %>
          <% project = Project.find(project_id) %>
          <div class="col-sm-3">
            <div class="card text-center " style="margin-top: 2rem">
              <div class="card-header card-title">
               <a href="<%= user_project_path(project.author_id,project) %>"><%=project.name %></a>
              </div>
              <a href="<%= user_project_path(project.author_id,project) %>" ><img class="card-img-top " src="<%= project.image_preview.url %>" alt="<%= project.name%>" ></a>
            </div>
          </div>
      <% end %>
    </div>
    <br>
    <% end %>

    <h5 class="" id="recent">Recent Circuits</h5>
    <div class="row">
      <% @projects.each do |project| %>
          <div class="col-sm-3">
            <div class="card text-center " style="margin-top: 2rem">
              <div class="card-header card-title">
               <a href="<%= user_project_path(project.author_id,project) %>"><%=project.name %></a>
              </div>
              <a href="<%= user_project_path(project.author_id,project) %>" ><img class="card-img-top " src="<%= project.image_preview.url %>" alt="<%= project.name%>" ></a>
            </div>
          </div>
      <% end %>
    </div>
    <br>
    <div class"container">
<%= will_paginate @projects, renderer: PaginateRenderer %>

    </div>



  </div>


    <% if user_signed_in? %>
    <script>
        if(localStorage.getItem("recover_login")){
            window.location.href = "/simulator"
        }
    </script>
    <% end %>

    <!-- /container -->


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->

app/views/logix/index_old.html.erb
<% content_for :title, "CircuitVerse - About us" %>

<h1>Hello, Welcome to CircuitVerse!</h1>
<%= link_to 'Sign out', destroy_user_session_path, method: :delete %>
<%= link_to 'Launch Simulator', simulator_new_path%>
<%= link_to 'View all projects', user_path(current_user) %>
<%= link_to 'View all users', users_path %>
<!-- <%= link_to 'Sign in', new_user_session_path %> -->
<!-- <%= link_to 'Sign up', new_user_registration_path %> -->

<%= link_to 'new project', new_user_project_path(current_user) %>

app/views/logix/search.html.erb
<script>
    (function() {
        var cx = '003379284906889788669:grmtm3tl7se';
        var gcse = document.createElement('script');
        gcse.type = 'text/javascript';
        gcse.async = true;
        gcse.src = 'https://cse.google.com/cse.js?cx=' + cx;
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(gcse, s);
    })();
</script>
<div class="container">
  <gcse:searchresults-only></gcse:searchresults-only>
</div>